import { ShikiTransformer } from '@shikijs/types';

type StringValueObject = Record<string, string>;
type ShikiMapKey = 'foreground' | 'background';
type ShikiMap = Record<ShikiMapKey, StringValueObject>;

interface ShikiClassTransformerParams {
    /**
     * Better use the light theme
     */
    map: ShikiMap;
    /**
     * the select key of color, set dev to `true` if you want to know what the key really is
     * @default 'color'
     */
    foregroundKey?: string;
    /**
     * the select key of background-color, set dev to `true` if you want to know what the key really is
     * @default 'background-color'
     */
    backgroundKey?: string;
    /**
     * set `true` will log the `htmlStyle`
     * @default false
     */
    dev?: boolean;
}
declare function shikiClassTransformer({ map, foregroundKey, backgroundKey, dev, }: ShikiClassTransformerParams): ShikiTransformer;

export { shikiClassTransformer };
