// src/index.ts
function isString(x) {
  return typeof x === "string";
}
function shikiClassTransformer({
  map,
  foregroundKey = "color",
  backgroundKey = "background-color",
  dev = false
}) {
  return {
    tokens(tokens) {
      for (const items of tokens) {
        for (const token of items) {
          const htmlStyle = token.htmlAttrs;
          if (!htmlStyle || isString(htmlStyle)) {
            continue;
          }
          const foreground = htmlStyle[foregroundKey]?.toLowerCase();
          const background = htmlStyle[backgroundKey]?.toLowerCase();
          if (!foreground && !background) {
            return;
          }
          if (dev) {
            console.log(htmlStyle);
          }
          if (!token.htmlAttrs) {
            token.htmlAttrs = {};
          }
          token.htmlStyle = {};
          let originClassName = token.htmlAttrs.class ?? "";
          if (foreground) {
            const className = map.foreground[foreground];
            if (className) {
              originClassName += ` ${className}`;
            }
          }
          if (background) {
            const className = map.background[background];
            if (className) {
              originClassName += ` ${className}`;
            }
          }
          token.htmlAttrs.class = originClassName;
        }
      }
    }
  };
}
export {
  shikiClassTransformer
};
